Fund betting account
curl --request POST \
--url https://api.dancity.app/api/v1/betting/funding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "SportyBet",
"account_id": "12345678",
"amount": 1000,
"customerRef": "BET-REF-001"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product: 'SportyBet',
account_id: '12345678',
amount: 1000,
customerRef: 'BET-REF-001'
})
};
fetch('https://api.dancity.app/api/v1/betting/funding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/betting/funding"
payload = {
"product": "SportyBet",
"account_id": "12345678",
"amount": 1000,
"customerRef": "BET-REF-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Betting account funded",
"data": {
"transactionId": "TXN-20260506-006",
"status": "SUCCESS",
"account_id": "12345678",
"amount": 1000
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}VAS
Fund betting account
Fund betting account
POST
/
api
/
v1
/
betting
/
funding
Fund betting account
curl --request POST \
--url https://api.dancity.app/api/v1/betting/funding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "SportyBet",
"account_id": "12345678",
"amount": 1000,
"customerRef": "BET-REF-001"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product: 'SportyBet',
account_id: '12345678',
amount: 1000,
customerRef: 'BET-REF-001'
})
};
fetch('https://api.dancity.app/api/v1/betting/funding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/betting/funding"
payload = {
"product": "SportyBet",
"account_id": "12345678",
"amount": 1000,
"customerRef": "BET-REF-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Betting account funded",
"data": {
"transactionId": "TXN-20260506-006",
"status": "SUCCESS",
"account_id": "12345678",
"amount": 1000
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}Body
application/json
Response
OK
